mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

Use the and properties to obtain the enumeration for the currently executing operating system or development platform. Use the enumeration to help determine whether the current operating system or development platform supports your application.

You can use the underlying integer value of each enumeration member, as shown in the table, as the argument for the SignTool.exe (Sign Tool) utility.

Member

Underlying value

0

1

2

3

4

5

6

Identifies the operating system, or platform, supported by an assembly.

- Field
  2.0.0.0
  4.0.0.0
  System.PlatformID

  The operating system is Macintosh.

- Field
  2.0.0.0
  4.0.0.0
  System.PlatformID

  The operating system is Unix.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.PlatformID To be added

  The operating system is Windows NT or later.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.PlatformID To be added

  The operating system is Win32s. Win32s is a layer that runs on 16-bit versions of Windows to provide access to 32-bit applications.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.PlatformID To be added

  The operating system is Windows 95 or Windows 98.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.PlatformID WinCE To be added.

  The operating system is Windows CE.

- Field
  2.0.0.0
  4.0.0.0
  System.PlatformID

  The development platform is Xbox 360.